Loading...
Searching...
No Matches
pcl::GlobalHypothesesVerification< ModelT, SceneT > Class Template Reference
Module recognition

A hypothesis verification method proposed in "A Global Hypotheses Verification Method for 3D Object Recognition", A. More...

`#include <pcl/recognition/hv/hv_go.h>`

Inheritance diagram for pcl::GlobalHypothesesVerification< ModelT, SceneT >:

## Public Member Functions

| GlobalHypothesesVerification ()
void | verify () override
void | setResolutionOccupancyGrid (float r)
void | setRadiusNormals (float r)
void | setMaxIterations (int i)
void | setInitialTemp (float t)
void | setRegularizer (float r)
void | setRadiusClutter (float r)
void | setClutterRegularizer (float cr)
void | setDetectClutter (bool d)
Public Member Functions inherited from pcl::HypothesisVerification< ModelT, SceneT >
| HypothesisVerification ()
virtual | ~HypothesisVerification ()=default
bool | getRequiresNormals ()
void | setResolution (float r)
void | setOcclusionThreshold (float t)
void | setInlierThreshold (float r)
void | getMask (std::vector< bool > &mask)
void | addCompleteModels (std::vector< typename pcl::PointCloud< ModelT >::ConstPtr > &complete_models)
void | addNormalsClouds (std::vector< pcl::PointCloud< pcl::Normal >::ConstPtr > &complete_models)
void | addModels (std::vector< typename pcl::PointCloud< ModelT >::ConstPtr > &models, bool occlusion_reasoning=false)
void | setSceneCloud (const typename pcl::PointCloud< SceneT >::Ptr &scene_cloud)
void | setOcclusionCloud (const typename pcl::PointCloud< SceneT >::Ptr &occ_cloud)

## Additional Inherited Members

Protected Attributes inherited from pcl::HypothesisVerification< ModelT, SceneT >
std::vector< bool > | mask_
pcl::PointCloud< SceneT >::ConstPtr | scene_cloud_
pcl::PointCloud< SceneT >::ConstPtr | occlusion_cloud_
bool | occlusion_cloud_set_
pcl::PointCloud< SceneT >::Ptr | scene_cloud_downsampled_
pcl::search::KdTree< SceneT >::Ptr | scene_downsampled_tree_
std::vector< typename pcl::PointCloud< ModelT >::ConstPtr > | visible_models_
std::vector< typename pcl::PointCloud< pcl::Normal >::ConstPtr > | visible_normal_models_
std::vector< typename pcl::PointCloud< ModelT >::ConstPtr > | complete_models_
std::vector< typename pcl::PointCloud< pcl::Normal >::ConstPtr > | complete_normal_models_
int | zbuffer_scene_resolution_
int | zbuffer_self_occlusion_resolution_
float | resolution_
float | inliers_threshold_
float | occlusion_thres_
bool | requires_normals_
bool | normals_set_

## Detailed Description

template<typename ModelT, typename SceneT>
class pcl::GlobalHypothesesVerification< ModelT, SceneT >

A hypothesis verification method proposed in "A Global Hypotheses Verification Method for 3D Object Recognition", A.

Aldoma and F. Tombari and L. Di Stefano and Markus Vincze, ECCV 2012

Author
  Aitor Aldoma

Definition at line 36 of file hv_go.h.

## Constructor & Destructor Documentation

## GlobalHypothesesVerification()

template<typename ModelT , typename SceneT >

pcl::GlobalHypothesesVerification< ModelT, SceneT >::GlobalHypothesesVerification | ( |  | ) |

inline

Definition at line 444 of file hv_go.h.

## Member Function Documentation

## setClutterRegularizer()

template<typename ModelT , typename SceneT >

void pcl::GlobalHypothesesVerification< ModelT, SceneT >::setClutterRegularizer | ( | float | cr | ) |

inline

Definition at line 491 of file hv_go.h.

## setDetectClutter()

template<typename ModelT , typename SceneT >

void pcl::GlobalHypothesesVerification< ModelT, SceneT >::setDetectClutter | ( | bool | d | ) |

inline

Definition at line 496 of file hv_go.h.

## setInitialTemp()

template<typename ModelT , typename SceneT >

void pcl::GlobalHypothesesVerification< ModelT, SceneT >::setInitialTemp | ( | float | t | ) |

inline

Definition at line 476 of file hv_go.h.

## setMaxIterations()

template<typename ModelT , typename SceneT >

void pcl::GlobalHypothesesVerification< ModelT, SceneT >::setMaxIterations | ( | int | i | ) |

inline

Definition at line 471 of file hv_go.h.

## setRadiusClutter()

template<typename ModelT , typename SceneT >

void pcl::GlobalHypothesesVerification< ModelT, SceneT >::setRadiusClutter | ( | float | r | ) |

inline

Definition at line 486 of file hv_go.h.

## setRadiusNormals()

template<typename ModelT , typename SceneT >

void pcl::GlobalHypothesesVerification< ModelT, SceneT >::setRadiusNormals | ( | float | r | ) |

inline

Definition at line 466 of file hv_go.h.

## setRegularizer()

template<typename ModelT , typename SceneT >

void pcl::GlobalHypothesesVerification< ModelT, SceneT >::setRegularizer | ( | float | r | ) |

inline

Definition at line 481 of file hv_go.h.

## setResolutionOccupancyGrid()

template<typename ModelT , typename SceneT >

void pcl::GlobalHypothesesVerification< ModelT, SceneT >::setResolutionOccupancyGrid | ( | float | r | ) |

inline

Definition at line 461 of file hv_go.h.

## verify()

template<typename ModelT , typename SceneT >

void pcl::GlobalHypothesesVerification< ModelT, SceneT >::verify | ( |  | ) |

override virtual

Implements pcl::HypothesisVerification< ModelT, SceneT >.

Definition at line 475 of file hv_go.hpp.

The documentation for this class was generated from the following files:

- pcl/recognition/hv/hv_go.h
- pcl/recognition/impl/hv/hv_go.hpp